Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.webgui.common
Class ClassContainer

    java.lang.Object
      kieker.webgui.common.ClassContainer

    public final class ClassContainer

extends Object

This is a container which contains various classes. It uses a given class loader to load the equivalence of specific classes via the Java reflection API. This makes sure that comparisons and assignments can be done correctly. The whole procedure is necessary, as every project within this application has a various number of libraries and therefore another class loader. This results in multiple instances of the same class and has to be managed correctly.
Not all classes and methods which are used in the web application are loaded in this container. Some other elements are accessed with the Mirror framework (which simplifies the usage of the Java reflection API).

Author:
  Nils Christian Ehmke

Constructor Summary
`ClassContainer(ClassLoader classLoader)` Creates a new instance of this class, using the given class loader.

Method Summary
`Class<?>` | `getAbstractFilterPluginClass()`
`Class<?>` | `getAbstractReaderPluginClass()`
`Class<?>` | `getAbstractRepositoryClass()`
`Class<?>` | `getAbstractWebVisualizationFilterPluginClass()`
`Class<?>` | `getAnalysisControllerClass()`
`Class<?>` | `getAnalysisControllerThreadClass()`
`Class<? extends Annotation>` | `getDisplayAnnotationClass()`
`Class<?>` | `getHtmlTextClass()`
`Class<?>` | `getImageClass()`
`Class<? extends Annotation>` | `getInputPortAnnotationClass()`
`Class<?>` | `getLogImplWebguiLoggingClass()`
`Class<?>` | `getMeterGaugeClass()`
`Class<?>` | `getPieChartClass()`
`Class<?>` | `getPlainTextClass()`
`Class<? extends Annotation>` | `getPluginAnnotationClass()`
`Class<? extends Annotation>` | `getRepositoryAnnotationClass()`
`Class<? extends Annotation>` | `getRepositoryPortAnnotationClass()`
`Class<?>` | `getTagCloudClass()`
`Class<?>` | `getXYPlotClass()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassContainer

    public ClassContainer(ClassLoader classLoader)
                   throws ReflectionException

  Creates a new instance of this class, using the given class loader.

  Parameters:
    `classLoader` - The class loader which will be used to load all classes and determine their methods.
  Throws:
    `ReflectionException` - If one or more of the classes or methods for this container could not be found.

Method Detail

### getAbstractFilterPluginClass

    public Class<?> getAbstractFilterPluginClass()

### getAbstractReaderPluginClass

    public Class<?> getAbstractReaderPluginClass()

### getPluginAnnotationClass

    public Class<? extends Annotation> getPluginAnnotationClass()

### getRepositoryAnnotationClass

    public Class<? extends Annotation> getRepositoryAnnotationClass()

### getInputPortAnnotationClass

    public Class<? extends Annotation> getInputPortAnnotationClass()

### getRepositoryPortAnnotationClass

    public Class<? extends Annotation> getRepositoryPortAnnotationClass()

### getDisplayAnnotationClass

    public Class<? extends Annotation> getDisplayAnnotationClass()

### getAbstractRepositoryClass

    public Class<?> getAbstractRepositoryClass()

### getImageClass

    public Class<?> getImageClass()

### getPlainTextClass

    public Class<?> getPlainTextClass()

### getHtmlTextClass

    public Class<?> getHtmlTextClass()

### getAnalysisControllerClass

    public Class<?> getAnalysisControllerClass()

### getAnalysisControllerThreadClass

    public Class<?> getAnalysisControllerThreadClass()

### getLogImplWebguiLoggingClass

    public Class<?> getLogImplWebguiLoggingClass()

### getXYPlotClass

    public Class<?> getXYPlotClass()

### getMeterGaugeClass

    public Class<?> getMeterGaugeClass()

### getTagCloudClass

    public Class<?> getTagCloudClass()

### getPieChartClass

    public Class<?> getPieChartClass()

### getAbstractWebVisualizationFilterPluginClass

    public Class<?> getAbstractWebVisualizationFilterPluginClass()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All rights reserved.